> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catchthegoodones.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DM Template

> Returns a single DM template by ID

Returns a single DM template by ID.

### Headers

| Header          | Required | Description                     |
| --------------- | -------- | ------------------------------- |
| `Authorization` | Yes      | `Bearer ctgo_your_api_key_here` |

### Path parameters

| Parameter | Type    | Description     |
| --------- | ------- | --------------- |
| `id`      | integer | The template ID |

### Example

```bash theme={null}
curl https://www.catchthegoodones.com/api/v2/dm-templates/1 \
  -H "Authorization: Bearer ctgo_your_api_key_here"
```

### Response

<ResponseExample>
  ```json 200 theme={null}
  {
    "template": {
      "id": 1,
      "name": "Intro message",
      "messageBody": "Hi! I noticed you recently followed me. I'd love to connect.",
      "createdAt": "2026-04-10T12:00:00.000Z",
      "updatedAt": "2026-04-10T12:00:00.000Z"
    }
  }
  ```

  ```json 404 theme={null}
  {
    "error": "Template not found"
  }
  ```
</ResponseExample>
